Name:           plexus-interpolation
Version:        1.15
Release:        %mkrel 2
Summary:        Plexus Interpolation API

Group:          Development/Java 
License:        ASL 2.0 and ASL 1.1 and MIT
URL:            http://plexus.codehaus.org/plexus-components/plexus-interpolation
# git clone git://github.com/sonatype/plexus-interpolation.git
# cd plexus-interpolation
# git archive --format=tar --prefix=plexus-interpolation-1.15/ plexus-interpolation-1.15 | xz >plexus-interpolation-1.15.tar.xz 
Source0:        %{name}-%{version}.tar.xz

BuildArch: noarch

BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-resources-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-doxia-sitetools
BuildRequires: forge-parent

%description
Plexus interpolator is the outgrowth of multiple iterations of development
focused on providing a more modular, flexible interpolation framework for
the expression language style commonly seen in Maven, Plexus, and othe
related projects.

%package javadoc
Group:          Development/Java 
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q

sed -i "s|<version>3.0.1</version>|<version>1.0.10</version>|" pom.xml

%build
mvn-rpmbuild install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/plexus
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/plexus/interpolation.jar


# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
	%{buildroot}%{_mavenpomdir}/JPP.%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%add_maven_depmap JPP.%{name}.pom plexus/interpolation.jar

%files
%{_javadir}/plexus/*.jar
%{_mavenpomdir}/JPP.%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.15-2.mga3
+ Revision: 377900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 gil <gil> 1.15-1.mga2
+ Revision: 217152
- update to 1.15

* Fri Dec 09 2011 dmorgan <dmorgan> 1.14-3.mga2
+ Revision: 179542
- Use add_maven_depmap macro

* Fri Dec 09 2011 dmorgan <dmorgan> 1.14-2.mga2
+ Revision: 179540
- Removal of plexus-maven-plugin dependency (not needed)

* Wed Jul 20 2011 dmorgan <dmorgan> 1.14-1.mga2
+ Revision: 126937
- Update to upstream 1.14.
    Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.13-4.mga1
+ Revision: 93025
- Rebuild after bootstrapping
- imported package plexus-interpolation

